Skip to main content
GET
/
ticket-pipelines
cURL
curl --request GET \
  --url https://app.masivo.ai/api/storefront/v1/ticket-pipelines \
  --header 'Authorization: Bearer <token>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://app.masivo.ai/api/storefront/v1/ticket-pipelines"

headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};

fetch('https://app.masivo.ai/api/storefront/v1/ticket-pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_order": 123,
      "is_default": true,
      "stages": [
        {
          "code": "<string>",
          "name": "<string>",
          "position": 123,
          "is_default": true,
          "required_fields": [
            {
              "field_key": "<string>",
              "label": "<string>",
              "field_type": "<string>",
              "is_required": true,
              "position": 123
            }
          ],
          "color": "<string>",
          "archived": true
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required

The account that owns the pipelines

Response

Active ticket pipelines

data
object[]